Ipelib: ipe::Fixed Class Reference

Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends | Related Functions | List of all members
ipe::Fixed Class Reference
Ipe Base

`#include <ipebase.h>`

## Public Member Functions
| Fixed (int val)
| Fixed ()
int | toInt () const
double | toDouble () const
int | internal () const
Fixed | mult (int a, int b) const
bool | operator== (const Fixed &rhs) const
bool | operator!= (const Fixed &rhs) const
bool | operator< (const Fixed &rhs) const

## Static Public Member Functions
static Fixed | fromInternal (int val)
static Fixed | fromDouble (double val)

## Friends
Stream & | operator<< (Stream &stream, const Fixed &f)

## Related Functions
(Note that these are not member functions.)
Stream & | operator<< (Stream &stream, const Fixed &f)

## Detailed Description

Fixed point number with three (decimal) fractional digits.

## Constructor & Destructor Documentation

ipe::Fixed::Fixed | ( | int | val | ) |
| inlineexplicit

ipe::Fixed::Fixed | ( |  | ) |
| inlineexplicit

## Member Function Documentation

Fixed ipe::Fixed::fromInternal | ( | int | val | ) |
| inlinestatic

Fixed Fixed::fromDouble | ( | double | val | ) |
| static

int ipe::Fixed::toInt | ( |  | ) | const
| inline

double ipe::Fixed::toDouble | ( |  | ) | const
| inline

int ipe::Fixed::internal | ( |  | ) | const
| inline

Fixed Fixed::mult | ( | int | a,
|  | int | b
| ) |  | const

Return value times (a/b)

bool ipe::Fixed::operator== | ( | const Fixed & | rhs | ) | const
| inline

bool ipe::Fixed::operator!= | ( | const Fixed & | rhs | ) | const
| inline

bool ipe::Fixed::operator< | ( | const Fixed & | rhs | ) | const
| inline

## Friends And Related Function Documentation

Stream& operator<< | ( | Stream & | stream,
|  | const Fixed & | f
| ) |  |
| friend

Stream & operator<< | ( | Stream & | stream,
|  | const Fixed & | f
| ) |  |
| related

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp